Skip to main content
GET
/
users
/
self
Get current user
curl --request GET \
  --url https://api.astronomer.io/v1/users/self \
  --header 'Authorization: Bearer <token>'
{
  "avatarUrl": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "fullName": "<string>",
  "id": "<string>",
  "status": "ACTIVE",
  "updatedAt": "2023-11-07T05:31:56Z",
  "username": "<string>",
  "featureFlags": [
    {
      "key": "<string>",
      "value": true
    }
  ],
  "invites": [
    {
      "expiresAt": "2023-11-07T05:31:56Z",
      "inviteId": "<string>",
      "organizationId": "<string>"
    }
  ],
  "isIdpManaged": true,
  "organizationId": "<string>",
  "roles": [
    {
      "role": "<string>",
      "scope": {
        "entityId": "<string>",
        "type": "<string>",
        "dagTag": "<string>",
        "deploymentId": "<string>"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://astronomer-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

createIfNotExist
boolean

Create the user if they don't already exist.

Response

OK

avatarUrl
string
required

The URL for the user's profile image.

createdAt
string<date-time>
required

The time when the user was created.

fullName
string
required

The user's full name.

id
string
required

The user's ID.

status
enum<string>
required

The user's status.

Available options:
ACTIVE,
INACTIVE,
PENDING,
BANNED
updatedAt
string<date-time>
required

The time when the user was last updated.

username
string
required

The user's username.

featureFlags
object[]

The user's feature flags.

invites
object[]

The user's pending Organization invites.

isIdpManaged
boolean

Whether the user is managed by an identity provider.

organizationId
string

The user's primary Organization ID.

roles
object[]

The user's roles across all scopes.